Bug 818291 - Newer kernels boot to black screen, NVIDIA GeForce 7050
Newer kernels boot to black screen, NVIDIA GeForce 7050
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 12:04 EDT by mike.freeman.3832
Modified: 2013-02-13 07:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:50:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Messages from failing boot (59.68 KB, text/plain)
2012-05-02 23:29 EDT, mike.freeman.3832
no flags Details
Messages from successful boot (58.79 KB, text/plain)
2012-05-02 23:30 EDT, mike.freeman.3832
no flags Details
Xorg.0.log from failing boot (35.70 KB, text/plain)
2012-05-02 23:31 EDT, mike.freeman.3832
no flags Details
Xorg.0.log from successful boot (40.06 KB, text/plain)
2012-05-02 23:32 EDT, mike.freeman.3832
no flags Details
dmesg output from a successful boot (74.77 KB, text/plain)
2012-05-17 23:16 EDT, mike.freeman.3832
no flags Details
dmesg output from a failing boot (71.75 KB, text/plain)
2012-05-17 23:17 EDT, mike.freeman.3832
no flags Details

  None (edit)
Description mike.freeman.3832 2012-05-02 12:04:41 EDT
Description of problem:  Kernel image 3.1.0-7.fc16.x86_64 boots fine. Anything newer and the display fails, giving me only a black screen.  Trying to switch to a text terminal with ctrl+alt+Fkeys has no apparent effect.  So, there's no way to log in locally (thus the "high" severity).


Version-Release number of selected component (if applicable):  Kernel image 3.3.2-6.fc16.x86_64 is known to fail. (Other recent updates also fail, but I haven't kept track of exactly the first one to fail.  Sorry.  When a new images came out in rapid succession, I assumed that one of them was going to fix the problem, and just applied them.)


How reproducible:  Try to boot from kernel image newer than 3.1.0-7.fc16.x86_64.


Steps to Reproduce:
1.  Start computer
2.  Let GRUB default to newest kernel image
3.  ???
4.  Profit!
  
Actual results:  Black screen.  (No "X".  No cursor.  No TTYs.)


Expected results:  Twinkly Fedora logo on calming blue background.


Additional info:

Comparison of messages and Xorg.0.log from a successful and a failed boot show almost no differences.  There are no unique errors reported when display fails.  (Meaning, there are errors in the logs, but they occur during successful boots, too.)

Oddly, a failing kernel image detects an HDMI connector, but no DVI.  A working kernel image detects a DVI connector, but no HDMI.  However, while there is an HDMI connector present, there is *not* a DVI connector, and, for added fun, the monitor is actually connected to a D-SUB connector.

Some logs available.  Let me know what might be useful.
Comment 1 mike.freeman.3832 2012-05-02 23:29:37 EDT
Created attachment 581763 [details]
Messages from failing boot
Comment 2 mike.freeman.3832 2012-05-02 23:30:39 EDT
Created attachment 581764 [details]
Messages from successful boot
Comment 3 mike.freeman.3832 2012-05-02 23:31:21 EDT
Created attachment 581765 [details]
Xorg.0.log from failing boot
Comment 4 mike.freeman.3832 2012-05-02 23:32:02 EDT
Created attachment 581766 [details]
Xorg.0.log from successful boot
Comment 5 mike.freeman.3832 2012-05-17 17:14:09 EDT
This may be related to: https://bugzilla.redhat.com/show_bug.cgi?id=806091

The attached failing log includes lines about the HDMI port, while the working log doesn't.
Comment 6 mike.freeman.3832 2012-05-17 23:16:38 EDT
Created attachment 585325 [details]
dmesg output from a successful boot
Comment 7 mike.freeman.3832 2012-05-17 23:17:38 EDT
Created attachment 585326 [details]
dmesg output from a failing boot
Comment 8 Erwin Waterlander 2012-11-30 16:08:30 EST
Hi,

I have seen this problem too with F16 (64 bit) and still have the problem with the latest Fedora 17 64-bit, including all updates.

During boot or at least within 5 minutes I get a black screen. There is no way out other than to reboot. Ctrl-Alt-Delete sometimes works. It also happened during install/upgrade with Anaconda.

I have a GeForce GT220. It doesn't matter if I use the HDMI, DVI or both outputs.

My only workaround is to install the driver from nvidia.com. I have to re-install it after every kernel update. When I boot in text mode I have a few minutes more before the system freezes to a black screen. Just enough to install the driver from nvidia.com.

regards,

Erwin Waterlander
Comment 9 Adam Williamson 2012-11-30 22:59:04 EST
Erwin: you have a card of a completely different generation, and therefore your bug is very unlikely to be the same as Mike's. 'It boots to a black screen' is a very generic symptom and is a very poor indicator that two bugs are the same bug. There have been, over the years, thousands of completely different bugs for which the symptom was 'it boots to a black screen'.

Especially since in your case, apparently, it doesn't really *boot* to a black screen, but somehow winds up at one shortly after boot.

Please file a separate bug, with all information requested at https://fedoraproject.org/wiki/How_to_debug_Xorg_problems . Thanks.
Comment 10 Fedora End Of Life 2013-01-16 07:32:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 07:50:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.